package com.ipcommerce.schemas.cws.v2_0.dataservices.billing;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * <summary>
 *             Operations for querying billing event data
 *             </summary>
 *
 * This class was generated by Apache CXF 2.7.0
 * 2012-10-25T13:53:38.337-06:00
 * Generated source version: 2.7.0
 * 
 */
@WebService(targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing", name = "IDataServicesBilling")
@XmlSeeAlso({ObjectFactory.class, com.ipcommerce.schemas.ipc_general_wcf_contracts.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.dataservices.ObjectFactory.class, com.microsoft.schemas._2003._10.serialization.ObjectFactory.class, com.ipcommerce.schemas.ipc_general_wcf_contracts_common.external.ObjectFactory.class, com.ipcommerce.schemas.identity._1.ObjectFactory.class, com.microsoft.schemas._2003._10.serialization.arrays.ObjectFactory.class})
public interface IDataServicesBilling {

    /**
     * <summary>
     *             Queries for summary billing event data.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to the Billing Web Service.</param>
     *             <param name="queryBillingEventParameters">Query parameters for querying billing event data.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>A list of all defined billing event summary data.</returns>
     */
    @WebResult(name = "QueryBillingEventSummaryResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummary", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryResponse", fault = {@FaultAction(className = IDataServicesBillingQueryBillingEventSummaryBillingTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryBillingTransactionFailedFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventSummaryInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryInvalidTokenFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventSummaryDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryDataServicesUnavailableFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventSummaryExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryExpiredTokenFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventSummaryAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventSummaryAuthenticationFaultFault")})
    @RequestWrapper(localName = "QueryBillingEventSummary", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventSummary")
    @WebMethod(operationName = "QueryBillingEventSummary")
    @ResponseWrapper(localName = "QueryBillingEventSummaryResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventSummaryResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.billing.ArrayOfBillingEventSummary queryBillingEventSummary(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        java.lang.String sessionToken,
        @WebParam(name = "queryBillingEventParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventParameters queryBillingEventParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws IDataServicesBillingQueryBillingEventSummaryBillingTransactionFailedFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventSummaryInvalidTokenFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventSummaryDataServicesUnavailableFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventSummaryExpiredTokenFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventSummaryAuthenticationFaultFaultFaultMessage;

    /**
     * <summary>
     *             Queries for detailed billing event data.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to the Billing Web Service.</param>
     *             <param name="queryBillingEventParameters">Query parameters for querying billing event data.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>A list of all defined billing event detail data.</returns>
     */
    @WebResult(name = "QueryBillingEventDetailResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetail", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailResponse", fault = {@FaultAction(className = IDataServicesBillingQueryBillingEventDetailBillingTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailBillingTransactionFailedFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventDetailInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailInvalidTokenFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventDetailDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailDataServicesUnavailableFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventDetailExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailExpiredTokenFaultFault"), @FaultAction(className = IDataServicesBillingQueryBillingEventDetailAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing/IDataServicesBilling/QueryBillingEventDetailAuthenticationFaultFault")})
    @RequestWrapper(localName = "QueryBillingEventDetail", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventDetail")
    @WebMethod(operationName = "QueryBillingEventDetail")
    @ResponseWrapper(localName = "QueryBillingEventDetailResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventDetailResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.billing.ArrayOfBillingEventDetail queryBillingEventDetail(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        java.lang.String sessionToken,
        @WebParam(name = "queryBillingEventParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        com.ipcommerce.schemas.cws.v2_0.dataservices.billing.QueryBillingEventParameters queryBillingEventParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/Billing")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws IDataServicesBillingQueryBillingEventDetailBillingTransactionFailedFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventDetailInvalidTokenFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventDetailDataServicesUnavailableFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventDetailExpiredTokenFaultFaultFaultMessage, IDataServicesBillingQueryBillingEventDetailAuthenticationFaultFaultFaultMessage;

    @WebResult(name = "PingResult", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common")
    @Action(input = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common/IExternallyFacingStandardOperations/Ping", output = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common/IExternallyFacingStandardOperations/PingResponse")
    @RequestWrapper(localName = "Ping", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common", className = "com.ipcommerce.schemas.ipc_general_wcf_contracts.Ping")
    @WebMethod(operationName = "Ping")
    @ResponseWrapper(localName = "PingResponse", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common", className = "com.ipcommerce.schemas.ipc_general_wcf_contracts.PingResponse")
    public com.ipcommerce.schemas.ipc_general_wcf_contracts_common.external.PingResponse ping();
}
