package com.ipcommerce.schemas.cws.v2_0.dataservices.tms;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * <summary>
 *             Defines the service contract for TMS service endpoints.
 *             </summary>
 *
 * This class was generated by Apache CXF 2.7.0
 * 2012-10-25T15:04:43.027-06:00
 * Generated source version: 2.7.0
 * 
 */
@WebService(targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", name = "ITMSOperations")
@XmlSeeAlso({com.ipcommerce.schemas.cws.v2_0.transactions.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.serviceinformation.ObjectFactory.class, com.ipcommerce.schemas.ipc_general_wcf_contracts.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.transactions.bankcard.pro.ObjectFactory.class, com.ipcommerce.schemas.ipc_general_wcf_contracts_common.external.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.transactions.electronicchecking.ObjectFactory.class, com.microsoft.schemas._2003._10.serialization.arrays.ObjectFactory.class, ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.dataservices.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.transactions.bankcard.ObjectFactory.class, com.microsoft.schemas._2003._10.serialization.ObjectFactory.class, com.ipcommerce.schemas.identity._1.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.transactions.storedvalue.ObjectFactory.class, com.ipcommerce.schemas.cws.v2_0.dataservices.tms.faults.ObjectFactory.class, org.w3._2001.xmlschema.ObjectFactory.class})
public interface ITMSOperations {

    /**
     * <summary>
     *             Queries the specified transactions and returns both summary details and full transaction details as a serialized object.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryTransactionsParameters">Query parameters.</param>
     *             <param name="transactionDetailFormat">Indicates the format for the complete serialized transactions: CWSTransaction or SerializedCWS.</param>
     *             <param name="includeRelated">Indicates whether transactions related to the resulting transaction should also be included.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of transaction details.</returns>
     */
    @WebResult(name = "QueryTransactionsDetailResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetail", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailResponse", fault = {@FaultAction(className = ITMSOperationsQueryTransactionsDetailTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsDetailInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetailInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryTransactionsDetail", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsDetail")
    @WebMethod(operationName = "QueryTransactionsDetail", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsDetail")
    @ResponseWrapper(localName = "QueryTransactionsDetailResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsDetailResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.ArrayOfTransactionDetail queryTransactionsDetail(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryTransactionsParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsParameters queryTransactionsParameters,
        @WebParam(name = "transactionDetailFormat", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.TransactionDetailFormat transactionDetailFormat,
        @WebParam(name = "includeRelated", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.Boolean includeRelated,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryTransactionsDetailTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryTransactionsDetailInvalidTokenFaultFaultFaultMessage;

    /**
     * <summary>
     *             Returns family summary information and a list of transactionIds that can be used to query for full transaction details.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryTransactionsParameters">Query parameters.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of transaction families.</returns>
     */
    @WebResult(name = "QueryTransactionFamiliesResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamilies", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesResponse", fault = {@FaultAction(className = ITMSOperationsQueryTransactionFamiliesTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionFamiliesInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamiliesInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryTransactionFamilies", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionFamilies")
    @WebMethod(operationName = "QueryTransactionFamilies", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionFamilies")
    @ResponseWrapper(localName = "QueryTransactionFamiliesResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionFamiliesResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.ArrayOfFamilyDetail queryTransactionFamilies(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryTransactionsParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsParameters queryTransactionsParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryTransactionFamiliesTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryTransactionFamiliesInvalidTokenFaultFaultFaultMessage;

    @WebResult(name = "PingResult", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common")
    @Action(input = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common/IExternallyFacingStandardOperations/Ping", output = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common/IExternallyFacingStandardOperations/PingResponse")
    @RequestWrapper(localName = "Ping", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common", className = "com.ipcommerce.schemas.ipc_general_wcf_contracts.Ping")
    @WebMethod(operationName = "Ping", action = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common/IExternallyFacingStandardOperations/Ping")
    @ResponseWrapper(localName = "PingResponse", targetNamespace = "http://schemas.ipcommerce.com/Ipc.General.WCF.Contracts.Common", className = "com.ipcommerce.schemas.ipc_general_wcf_contracts.PingResponse")
    public com.ipcommerce.schemas.ipc_general_wcf_contracts_common.external.PingResponse ping();

    /**
     * <summary>
     *             Used to collect transaction summary information from the service provider (post-settlement), in the event that a captured transaction was rejected during settlement by the service provider.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryRejectedParameters">Query parameters.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of batch details.</returns>
     */
    @WebResult(name = "QueryRejectedSummaryResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummary", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryResponse", fault = {@FaultAction(className = ITMSOperationsQueryRejectedSummaryTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryTMSOperationNotSupportedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryTMSOperationNotSupportedFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedSummaryInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummaryInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryRejectedSummary", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedSummary")
    @WebMethod(operationName = "QueryRejectedSummary", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedSummary")
    @ResponseWrapper(localName = "QueryRejectedSummaryResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedSummaryResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryResponse queryRejectedSummary(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryRejectedParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedParameters queryRejectedParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryRejectedSummaryTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryTMSOperationNotSupportedFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryRejectedSummaryInvalidTokenFaultFaultFaultMessage;

    /**
     * <summary>
     *             Queries the specified transactions and returns summary details related to one or more transactions matching specific search criteria.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryTransactionsParameters">Query parameters.</param>
     *             <param name="includeRelated">Indicates whether transactions related to the resulting transaction should also be included.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of transaction summaries.</returns>
     */
    @WebResult(name = "QueryTransactionsSummaryResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummary", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryResponse", fault = {@FaultAction(className = ITMSOperationsQueryTransactionsSummaryTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryTransactionsSummaryInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummaryInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryTransactionsSummary", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsSummary")
    @WebMethod(operationName = "QueryTransactionsSummary", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryTransactionsSummary")
    @ResponseWrapper(localName = "QueryTransactionsSummaryResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsSummaryResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.ArrayOfSummaryDetail queryTransactionsSummary(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryTransactionsParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryTransactionsParameters queryTransactionsParameters,
        @WebParam(name = "includeRelated", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.Boolean includeRelated,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryTransactionsSummaryTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryTransactionsSummaryInvalidTokenFaultFaultFaultMessage;

    /**
     * <summary>
     *             Queries the batch summary and returns Batch Status, DateTime, and a list of transactionIds in the batch.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryBatchParameters">The batch query details.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of batch details.</returns>
     */
    @WebResult(name = "QueryBatchResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatch", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchResponse", fault = {@FaultAction(className = ITMSOperationsQueryBatchTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchTMSOperationNotSupportedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchTMSOperationNotSupportedFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryBatchInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatchInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryBatch", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryBatch")
    @WebMethod(operationName = "QueryBatch", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryBatch")
    @ResponseWrapper(localName = "QueryBatchResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryBatchResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.ArrayOfBatchDetailData queryBatch(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryBatchParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryBatchParameters queryBatchParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryBatchTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryBatchTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryBatchTMSOperationNotSupportedFaultFaultFaultMessage, ITMSOperationsQueryBatchTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryBatchAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryBatchDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryBatchExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryBatchInvalidTokenFaultFaultFaultMessage;

    /**
     * <summary>
     *             Used to collect transaction detail information from the service provider (post-settlement), in the event that a captured transaction was rejected during settlement by the service provider.
     *             </summary>
     *             <param name="sessionToken">The short-lived token used to authenticate to CWS.</param>
     *             <param name="queryRejectedParameters">Query parameters.</param>
     *             <param name="pagingParameters">Defines the parameters for the service to use for paging large datasets.</param>
     *             <returns>Collection of batch details.</returns>
     */
    @WebResult(name = "QueryRejectedDetailResult", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
    @Action(input = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetail", output = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailResponse", fault = {@FaultAction(className = ITMSOperationsQueryRejectedDetailTMSUnknownServiceKeyFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailTMSUnknownServiceKeyFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailTMSUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailTMSUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailTMSOperationNotSupportedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailTMSOperationNotSupportedFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailTMSTransactionFailedFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailTMSTransactionFailedFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailAuthenticationFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailAuthenticationFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailDataServicesUnavailableFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailDataServicesUnavailableFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailExpiredTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailExpiredTokenFaultFault"), @FaultAction(className = ITMSOperationsQueryRejectedDetailInvalidTokenFaultFaultFaultMessage.class, value = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetailInvalidTokenFaultFault")})
    @RequestWrapper(localName = "QueryRejectedDetail", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedDetail")
    @WebMethod(operationName = "QueryRejectedDetail", action = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS/ITMSOperations/QueryRejectedDetail")
    @ResponseWrapper(localName = "QueryRejectedDetailResponse", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS", className = "com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedDetailResponse")
    public com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryResponse queryRejectedDetail(
        @WebParam(name = "sessionToken", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        java.lang.String sessionToken,
        @WebParam(name = "queryRejectedParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.tms.QueryRejectedParameters queryRejectedParameters,
        @WebParam(name = "pagingParameters", targetNamespace = "http://schemas.ipcommerce.com/CWS/v2.0/DataServices/TMS")
        com.ipcommerce.schemas.cws.v2_0.dataservices.PagingParameters pagingParameters
    ) throws ITMSOperationsQueryRejectedDetailTMSUnknownServiceKeyFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailTMSUnavailableFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailTMSOperationNotSupportedFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailTMSTransactionFailedFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailAuthenticationFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailDataServicesUnavailableFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailExpiredTokenFaultFaultFaultMessage, ITMSOperationsQueryRejectedDetailInvalidTokenFaultFaultFaultMessage;
}
