
package com.ipcommerce.schemas.cws.v2_0.transactions.storedvalue;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IdEntryMode.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="IdEntryMode">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="NotSet"/>
 *     &lt;enumeration value="TrackData"/>
 *     &lt;enumeration value="Keyed"/>
 *     &lt;enumeration value="Internet"/>
 *     &lt;enumeration value="BlueTooth"/>
 *     &lt;enumeration value="RFID"/>
 *     &lt;enumeration value="Wireless"/>
 *     &lt;enumeration value="Biometric"/>
 *     &lt;enumeration value="NFC"/>
 *     &lt;enumeration value="Transponder"/>
 *     &lt;enumeration value="ContactlessDevice"/>
 *     &lt;enumeration value="ChipCapableDevice"/>
 *     &lt;enumeration value="ProviderIssued"/>
 *     &lt;enumeration value="BarCodeReader"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "IdEntryMode")
@XmlEnum
public enum IdEntryMode {


    /**
     * <summary>
     *             Value has not been explicitly set.
     *             </summary>
     * 
     */
    @XmlEnumValue("NotSet")
    NOT_SET("NotSet"),

    /**
     * <summary>
     *             Track Data
     *             </summary>
     * 
     */
    @XmlEnumValue("TrackData")
    TRACK_DATA("TrackData"),

    /**
     * <summary>
     *             Keyed
     *             </summary>
     * 
     */
    @XmlEnumValue("Keyed")
    KEYED("Keyed"),

    /**
     * <summary>
     *             Internet
     *             </summary>
     * 
     */
    @XmlEnumValue("Internet")
    INTERNET("Internet"),

    /**
     * <summary>
     *             BlueTooth
     *             </summary>
     * 
     */
    @XmlEnumValue("BlueTooth")
    BLUE_TOOTH("BlueTooth"),

    /**
     * <summary>
     *             RFID
     *             </summary>
     * 
     */
    RFID("RFID"),

    /**
     * <summary>
     *             Wireless
     *             </summary>
     * 
     */
    @XmlEnumValue("Wireless")
    WIRELESS("Wireless"),

    /**
     * <summary>
     *             Biometric
     *             </summary>
     * 
     */
    @XmlEnumValue("Biometric")
    BIOMETRIC("Biometric"),

    /**
     * <summary>
     *             NFC
     *             </summary>
     * 
     */
    NFC("NFC"),

    /**
     * <summary>
     *             Transponder
     *             </summary>
     * 
     */
    @XmlEnumValue("Transponder")
    TRANSPONDER("Transponder"),

    /**
     * <summary>
     *             Contactless device.
     *             </summary>
     * 
     */
    @XmlEnumValue("ContactlessDevice")
    CONTACTLESS_DEVICE("ContactlessDevice"),

    /**
     * <summary>
     *             Chip capable device.
     *             </summary>
     * 
     */
    @XmlEnumValue("ChipCapableDevice")
    CHIP_CAPABLE_DEVICE("ChipCapableDevice"),

    /**
     * <summary>
     *             Value to indicate the ConsumerId was generated by the service provider. Should only be used in responses where TxnCode = 'Issue_Account'.
     *             </summary>
     * 
     */
    @XmlEnumValue("ProviderIssued")
    PROVIDER_ISSUED("ProviderIssued"),

    /**
     * <summary>
     *             Read from a bar code scanner.
     *             </summary>
     * 
     */
    @XmlEnumValue("BarCodeReader")
    BAR_CODE_READER("BarCodeReader");
    private final String value;

    IdEntryMode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static IdEntryMode fromValue(String v) {
        for (IdEntryMode c: IdEntryMode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
